Subject: Re: [AVT] comments on draft-ietf-avt-rtp-speex-05.txt

From: Alex Eleftheriadis <[email-masked]>
Date: Tue, 11 Mar 2008 15:38:39 -0400

Given that the Speex bitstream is "embedded", in the sense that  
narrowband bitstreams are embedded in wideband bitstreams, has there  
been any thought on allowing each bitstream component to be  
transported over its own RTP session?

The structure appears similar - if not identical - to scalable  
coding, such as H.264 SVC, for which an RTP payload format is  
currently being developed. By separating the layers into their own  
RTP sessions, one can take advantage of the scalability of the codec  
in obvious ways (e.g., receive only the streams that can/is willing  
to decode, works nicely in a multicast environment, can use different  
protection for the narrowband component, etc.).

I looked in the avt list archives going back quite a while, but did  
not find any discussion on this.

--
Alex Eleftheriadis
[email-masked]

On Feb 28, 2008, at 7:57 AM, Aymeric Moizard wrote:

>
> Hi all,
>
> We've delivered a new draft for speex codec recently.
>
> Following previous comments, the SDP usage part and
> sample have been improved: more details and examples
> have been provided.
>
> We do think this document is complete and hope to
> have any comments!
>
> tks,
> Aymeric MOIZARD / ANTISIP
> amsip - http://www.antisip.com
> osip2 - http://www.osip.org
> eXosip2 - http://savannah.nongnu.org/projects/exosip/
>
>
> On Sat, 16 Feb 2008, [email-masked] wrote:
>
>> A New Internet-Draft is available from the on-line Internet-Drafts  
>> directories.
>> This draft is a work item of the Audio/Video Transport Working  
>> Group of the IETF.
>>
>>
>> 	Title           : RTP Payload Format for the Speex Codec
>> 	Author(s)       : G. Herlein, et al.
>> 	Filename        : draft-ietf-avt-rtp-speex-05.txt
>> 	Pages           : 23
>> 	Date            : 2008-02-16
>>
>> Speex is an open-source voice codec suitable for use in Voice over IP
>> (VoIP) type applications.  This document describes the payload format
>> for Speex generated bit streams within an RTP packet.  Also included
>> here are the necessary details for the use of Speex with the Session
>> Description Protocol (SDP).

[snip]

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: Jean-Marc Valin <[email-masked]>
Date: Wed, 12 Mar 2008 07:04:21 +1100

Alex Eleftheriadis a écrit :
> been any thought on allowing each bitstream component to be transported
> over its own RTP session?
> 
> The structure appears similar - if not identical - to scalable coding,
> such as H.264 SVC, for which an RTP payload format is currently being
> developed. By separating the layers into their own RTP sessions, one can
> take advantage of the scalability of the codec in obvious ways (e.g.,
> receive only the streams that can/is willing to decode, works nicely in
> a multicast environment, can use different protection for the narrowband
> component, etc.).

No. This may make sense for H.264 which has huge data anyway (fragmented
into multiple packets), but the Speex data is tiny and fits easily into
one packet. Given the 16 kbps overhead of IP+UDP+RTP, it's just not
worth it. Also, Speex wideband is embedded, but not scalable. If you
peel something, it's only the high-frequencies. The narrwband part
remains the same.

	Jean-Marc

> I looked in the avt list archives going back quite a while, but did not
> find any discussion on this.
> -- 
> Alex Eleftheriadis
> [email-masked]
> 
> 
>>> This draft is a work item of the Audio/Video Transport Working Group
>>> of the IETF.
>>>
>>>

---

From: Randell Jesup <[email-masked]>
Date: Tue, 11 Mar 2008 23:28:25 -0400

>peel something, it's only the high-frequencies. The narrwband part

Also, using multiple streams without a good reason complicates session
setup when going through things like SBCs and ICE/TURN.

-- 
Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team
[email-masked]
"The fetters imposed on liberty at home have ever been forged out of the weapons
provided for defence against real, pretended, or imaginary dangers from abroad."
		- James Madison, 4th US president (1751-1836)